Bug 254541 - ports-mgmt/synth: Fails to build lang/rust, not enough disk space
Summary: ports-mgmt/synth: Fails to build lang/rust, not enough disk space
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Dima Panov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-25 11:36 UTC by Florian Walpen
Modified: 2021-04-12 15:06 UTC (History)
5 users (show)

See Also:


Attachments
Remove the max size limit for work area tmpfs mounts. (497 bytes, text/plain)
2021-03-25 11:36 UTC, Florian Walpen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Walpen 2021-03-25 11:36:44 UTC
Created attachment 223563 [details]
Remove the max size limit for work area tmpfs mounts.

Recent updates of lang/rust fail to build when using synth, at least with the default option to "Use tmpfs for work area". The error is always a variation of "not enough disk space".

Culprit is the tmpfs mount for the work area (.../construction), which is set up with a hard-coded max size of ~16GB. A recent lang/rust build creates around 17.5GB of data in the work area, exceeding the tmpfs limit.

Patch attached removes this limit completely. That should be future-proof.
Comment 1 Li-Wen Hsu freebsd_committer 2021-04-08 07:06:58 UTC
over to maintainer.
Comment 2 Teran McKinney 2021-04-10 23:25:55 UTC
This has been merged in and Synth v2.10 should have the fix.

https://github.com/jrmarino/synth/issues/187
Comment 3 Teran McKinney 2021-04-10 23:30:53 UTC
Looks like this port was taken over and the fix is in.

Is there any way that we can get this into 2021Q2?
Comment 4 Mikael Urankar freebsd_committer 2021-04-12 08:25:24 UTC
over to new maintainer
Comment 5 Dima Panov freebsd_committer 2021-04-12 15:06:08 UTC
(In reply to Teran McKinney from comment #3)
Sure, merged to quarterly